## SoupRequestHTTP

SoupRequestHTTP

## Synopsis

    #include <libsoup/soup.h>

                        SoupRequestHTTP;
    SoupMessage *       soup_request_http_get_message       (SoupRequestHTTP *http);

## Object Hierarchy

      GObject
       +----SoupRequest
             +----SoupRequestHTTP

## Implemented Interfaces

SoupRequestHTTP implements GInitable.

## Description

## Details

### SoupRequestHTTP

    typedef struct _SoupRequestHTTP SoupRequestHTTP;

### soup_request_http_get_message ()

    SoupMessage *       soup_request_http_get_message       (SoupRequestHTTP *http);

Gets a new reference to the SoupMessage associated to this SoupRequest

`http` : | a SoupRequestHTTP object
Returns : | a new reference to the SoupMessage

Since 2.34